cURL
curl -X PATCH 'https://api.gumloop.com/api/v1/sessions/sess_xYz789AbCd/queue/qmsg_1a2b3c' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"input": "Also check their latest funding round and headcount."}'import requests
url = "https://api.gumloop.com/api/v1/sessions/{session_id}/queue/{queued_message_id}"
payload = { "input": "Also check their latest funding round and headcount." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: 'Also check their latest funding round and headcount.'})
};
fetch('https://api.gumloop.com/api/v1/sessions/{session_id}/queue/{queued_message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queued_message": {
"id": "qmsg_1a2b3c",
"input": "Also check their latest funding round and headcount.",
"state": "queued",
"position": 1,
"created_at": "2026-05-15T14:36:00Z",
"updated_at": "2026-05-15T14:38:00Z"
},
"queue": []
}Update queued message
Replace the content of a message that is still waiting in the session’s queue.
PATCH
/
sessions
/
{session_id}
/
queue
/
{queued_message_id}
cURL
curl -X PATCH 'https://api.gumloop.com/api/v1/sessions/sess_xYz789AbCd/queue/qmsg_1a2b3c' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"input": "Also check their latest funding round and headcount."}'import requests
url = "https://api.gumloop.com/api/v1/sessions/{session_id}/queue/{queued_message_id}"
payload = { "input": "Also check their latest funding round and headcount." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: 'Also check their latest funding round and headcount.'})
};
fetch('https://api.gumloop.com/api/v1/sessions/{session_id}/queue/{queued_message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queued_message": {
"id": "qmsg_1a2b3c",
"input": "Also check their latest funding round and headcount.",
"state": "queued",
"position": 1,
"created_at": "2026-05-15T14:36:00Z",
"updated_at": "2026-05-15T14:38:00Z"
},
"queue": []
}Authorizations
Path Parameters
ID of the session the queued message belongs to.
ID of the queued message to update.
Body
application/json
The new message content. Cannot be empty. Also accepted as message for backwards compatibility.
Example:
"Also check their latest funding round and headcount."
Was this page helpful?
⌘I
